Subject: [ietf-provreg] EPP/TCP server testing tools

From: Otmar Lendl <[email-masked]>
Date: Tue, 11 Mar 2003 15:32:24 +0100

As I'm in the process of polishing and testing my mod_epp (EPP as Apache
2.0 module) EPP/TCP implementation [1], I'm wondering if anybody has already
done some work concerning server testing software.

All the client toolkits are nice and fine for testing the EPP backend
logic, but right now I'm much more interested in the EPP/TCP layer.

For example: Wrong framing, arbitrary delays between header and the
XML, pipelining, DoS, TCP/out-of-band, refusing to read answers, ...

Can anybody share code which does these tests?

/ol

[1] http://sourceforge.net/projects/aepps/
    (for current code see CVS.)